Automations
List Replier automations
Lists the workspace’s automations with their status and 30-day results, optionally for one account, matching search, or only the enabled ones. Pages with cursor and next_cursor.
GET
/
v1
/
workspaces
/
{workspace_id}
/
automations
List Replier automations
curl --request GET \
--url https://api.usereplier.com/v1/workspaces/{workspace_id}/automations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces/{workspace_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces/{workspace_id}/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"next_cursor": "<string>",
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner"
},
"period": {
"days": 183,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"automations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"name": "<string>",
"enabled": true,
"keywords": [
"<string>"
],
"public_reply_enabled": true,
"public_replies": [
"<string>"
],
"public_reply_selection": "random",
"dm_message": "<string>",
"dm_image": {
"id": "<string>",
"url": "<string>",
"display": "card"
},
"follow_gate_enabled": true,
"follow_gate_message": "<string>",
"follow_gate_button_text": "<string>",
"follow_gate_retry_message": "<string>",
"follow_gate_retry_button_text": "<string>",
"gates": {
"opening": {
"message": "<string>",
"button_text": "<string>"
},
"email": {
"message": "<string>",
"retry_message": "<string>"
}
},
"buttons": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"flow": {
"nodes": [
{
"id": "<string>",
"name": "<string>",
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "card"
},
"buttons": [
{
"type": "web_url",
"id": "<string>",
"title": "<string>",
"url": "<string>"
}
]
}
],
"keyword_routes": [
{
"id": "<string>",
"keywords": [
"<string>"
],
"entry_node_id": "<string>",
"public_reply_enabled": true,
"public_replies": [
"<string>"
],
"public_reply_selection": "random"
}
]
},
"targets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "instagram",
"account_id": "<string>",
"target_type": "post",
"post_id": "<string>",
"post_permalink": "<string>",
"post_label": "<string>",
"post_image_url": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"resolution_source": "comment_webhook",
"account_name": "<string>",
"scheduled_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queue_position": 4503599627370495,
"state": "active"
}
],
"lifetime": {
"matches": 4503599627370495,
"dms_sent": 4503599627370495,
"interactions": 4503599627370495,
"completed_interactions": 4503599627370495,
"last_interaction_at": "2023-11-07T05:31:56Z"
},
"recent": {
"dm_attempts": 4503599627370495,
"dms_sent": 4503599627370495,
"dms_failed": 4503599627370495,
"dms_skipped": 4503599627370495,
"dms_queued": 4503599627370495,
"dms_gated": 4503599627370495,
"link_clicks": 4503599627370495,
"clicked_messages": 4503599627370495,
"unique_clickers": 4503599627370495,
"send_rate": 1,
"message_click_through_rate": 1,
"clicks_per_sent_dm": 1,
"interactions": 4503599627370495
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "live",
"issues": [
{
"code": "<string>",
"target_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"since": "2023-11-07T05:31:56Z"
}
],
"paused": {
"by": "person",
"at": "2023-11-07T05:31:56Z",
"by_name": "<string>"
},
"follow_gate_profile_button_enabled": true,
"follow_gate_profile_button_text": "<string>",
"follow_up": {
"wait_hours": 123,
"clicked": {
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "<string>"
},
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"enabled": true,
"delay_minutes": 123
},
"not_clicked": {
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "<string>"
},
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"enabled": true
}
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
A Replier API key (rpl_...).
Path Parameters
Workspace ID returned by GET /v1/workspaces
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Query Parameters
Available options:
instagram, facebook Minimum string length:
1Maximum string length:
1000Case-insensitive name search
Required string length:
1 - 100Required range:
1 <= x <= 50⌘I
List Replier automations
curl --request GET \
--url https://api.usereplier.com/v1/workspaces/{workspace_id}/automations \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.usereplier.com/v1/workspaces/{workspace_id}/automations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.usereplier.com/v1/workspaces/{workspace_id}/automations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"next_cursor": "<string>",
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"kind": "personal",
"role": "owner"
},
"period": {
"days": 183,
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
},
"automations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 123,
"name": "<string>",
"enabled": true,
"keywords": [
"<string>"
],
"public_reply_enabled": true,
"public_replies": [
"<string>"
],
"public_reply_selection": "random",
"dm_message": "<string>",
"dm_image": {
"id": "<string>",
"url": "<string>",
"display": "card"
},
"follow_gate_enabled": true,
"follow_gate_message": "<string>",
"follow_gate_button_text": "<string>",
"follow_gate_retry_message": "<string>",
"follow_gate_retry_button_text": "<string>",
"gates": {
"opening": {
"message": "<string>",
"button_text": "<string>"
},
"email": {
"message": "<string>",
"retry_message": "<string>"
}
},
"buttons": [
{
"id": "<string>",
"title": "<string>",
"url": "<string>"
}
],
"flow": {
"nodes": [
{
"id": "<string>",
"name": "<string>",
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "card"
},
"buttons": [
{
"type": "web_url",
"id": "<string>",
"title": "<string>",
"url": "<string>"
}
]
}
],
"keyword_routes": [
{
"id": "<string>",
"keywords": [
"<string>"
],
"entry_node_id": "<string>",
"public_reply_enabled": true,
"public_replies": [
"<string>"
],
"public_reply_selection": "random"
}
]
},
"targets": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "instagram",
"account_id": "<string>",
"target_type": "post",
"post_id": "<string>",
"post_permalink": "<string>",
"post_label": "<string>",
"post_image_url": "<string>",
"activated_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"expires_at": "2023-11-07T05:31:56Z",
"resolution_source": "comment_webhook",
"account_name": "<string>",
"scheduled_post_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"queue_position": 4503599627370495,
"state": "active"
}
],
"lifetime": {
"matches": 4503599627370495,
"dms_sent": 4503599627370495,
"interactions": 4503599627370495,
"completed_interactions": 4503599627370495,
"last_interaction_at": "2023-11-07T05:31:56Z"
},
"recent": {
"dm_attempts": 4503599627370495,
"dms_sent": 4503599627370495,
"dms_failed": 4503599627370495,
"dms_skipped": 4503599627370495,
"dms_queued": 4503599627370495,
"dms_gated": 4503599627370495,
"link_clicks": 4503599627370495,
"clicked_messages": 4503599627370495,
"unique_clickers": 4503599627370495,
"send_rate": 1,
"message_click_through_rate": 1,
"clicks_per_sent_dm": 1,
"interactions": 4503599627370495
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "live",
"issues": [
{
"code": "<string>",
"target_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"since": "2023-11-07T05:31:56Z"
}
],
"paused": {
"by": "person",
"at": "2023-11-07T05:31:56Z",
"by_name": "<string>"
},
"follow_gate_profile_button_enabled": true,
"follow_gate_profile_button_text": "<string>",
"follow_up": {
"wait_hours": 123,
"clicked": {
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "<string>"
},
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"enabled": true,
"delay_minutes": 123
},
"not_clicked": {
"message": "<string>",
"image": {
"id": "<string>",
"url": "<string>",
"display": "<string>"
},
"buttons": [
{
"title": "<string>",
"url": "<string>"
}
],
"enabled": true
}
}
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}